#ifndef LOGGING_H
#define LOGGING_H

#include <qdir.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qstring.h>

#include "chatmember.h"

class Logger {
public:
	Logger(QString theLoggingDir);
	~Logger();
	bool logEntry(QString text);
	bool logAddUser(QString handle);
private:
	QFile logFile;
	QString logFileName;
	QString relLogFileName;
	QString loggingDir;
	bool logErrorNoted;
	bool logging;
	QTextStream logStream;

	QString newEntryText();
	bool safeCd(QDir* base, QString name);
	bool createLogFileName();
	QString memberDirName(QString handle);
};

#endif /* LOGGING_H */
