#ifndef CHATMEMBERLIST_H
#define CHATMEMBERLIST_H

#include <qlist.h>

#include "chatmember.h"

#if defined(Q_TEMPLATEDLL)
template class Q_EXPORT QList<ChatMember>;
template class Q_EXPORT QListIterator<ChatMember>;
#endif

class Q_EXPORT ChatMemberList : public QList<ChatMember> {
private:
	int compareItems(QCollection::Item s1, QCollection::Item s2) {
		ChatMember *m1 = (ChatMember*)s1, *m2 = (ChatMember*)s2;
		return (qstrcmp(m1->handle, m2->handle));
	}
};

#endif /* CHATMEMBERLIST_H */
