/***************************************************************************
                          chatviewimpl.h  -  description
                             -------------------
    begin                : Wed Jul 4 2001
    copyright            : (C) 2001 by olaf lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHATVIEWIMPL_H
#define CHATVIEWIMPL_H

#include <qwidget.h>

#include "chatview.h"

/**
  *@author olaf lueg
  */

class QKeyEvent;
class Smiley;
#define NUMSMILIES	87

class ChatViewImpl : public chatview  {
   Q_OBJECT
public: 
	ChatViewImpl(QWidget *parent=0, const char *name=0);
	~ChatViewImpl();
	 Smiley *smilies[NUMSMILIES];

  bool viewSmileys,textChanged;
	QString fontName,fontSize;

protected:
	bool CTRL_Key;
	
public: // funktions
  /** No descriptions */
  bool CtrlDown();
  void insertMessage(QString publicName, QString message);
  /** No descriptions */
  void slotTextChanged();
  /** No descriptions */
  void systemMessage(QString message);
	void keyPressEvent(QKeyEvent *event);
	void keyReleaseEvent(QKeyEvent *event);
  void sendZeText();
private:
	void sendText();
	QString htmlParser(QString message);
	QString urlParser(QString message,QString tag);
  /** No descriptions */
  QString smileyParser(QString message);
  /** No descriptions */
  void loadSmileys(QString smiliesdir);
signals: // Signals
  /** No descriptions */
  void sendMsg(QString);
  void writeMessage();
public slots:

  /** No descriptions */
  void slotUrlClicked(const QString& url);

};

class Smiley : public QObject
{
Q_OBJECT
public:
	 QString regExp;
	 QString display;
	 QString filename;

	Smiley(QString reg1, QString reg2, QString file)
	{
		regExp = reg1; display = reg2; filename = file;
	}
	
};

#endif
