/***************************************************************************
                          kmsn.h  -  description
                             -------------------
    begin                : Don Dez 28 11:17:09 CET 2000
    copyright            : (C) 2000 by Olaf Lueg
    email                : olaf.lueg@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMSN_H
#define KMSN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// kde include
#include <ksystemtray.h>


// qt include
#include <qwidget.h>
#include <qpixmap.h>


/** KMsn is the SystemTray class of the porject */
class KMsn : public KSystemTray
{
  Q_OBJECT
  public:

  /** construtor */
  KMsn(QWidget* parent=0, const char *name=0);
  /** destructor */
  ~KMsn();
  QPixmap offlinePixmap,onlinePixmap,invisiblePixmap,mailPixmap,awayPixmap;
  KPopupMenu *menu;
	void mousePressEvent(QMouseEvent *ev);

signals:
	void toggleApp();
};

#endif

